//---------------------------------------------------------
// RG XML DB Tools Collection
// Copyright © 2003,2004 Ronald D. Grindle
//---------------------------------------------------------

package com.qanavigation.XMLDB;

/***
 * XMLDBDefs.
 * Definitions for table and column names and other fixed values.
 * Naming: Subjec_TObjec_TType
 * e.g.: NodeTblNm: Subjec_T Node, Objec_T Table, Type Name
 * 
 * Acronyms:
 *		Attrib: attribute 
 *		Col: column
 *		Nm: Name
 *		Tbl: table
 *		Upd: update
 *		Val: value
 * 
 */

public class XMLDBDefs
{
	
	public static final String c_TblNmNode = "Node";
	public static final String c_TblNmNodeVal = "NodeVal";
	public static final String c_TblNmAttrib = "Attrib";

	public static final String c_TblNmXMLFile = "XMLFile";
	
	public static final String c_TblNmFileUp = "FileUpLoad";

	public static final String c_ColNmUID = "UID";
	public static final String c_ColNmParentUID = "UIDpNode";
	public static final String c_ColNmNodeType = "NodeType";
	public static final String c_ColNmPrefix = "Prefix";
	public static final String c_ColNmValue = "Value";
	
	public static final String c_ColNmDateTime = "DateTime";
	public static final String c_ColNmName = "Name";
	public static final String c_ColNmPath = "Path";
	public static final String c_ColNmContent = "Content";

	public static final String c_AttrNmUID = "UID";
	public static final String c_DummyTopUID = "0";

/*
	public static final String c_TblNmTopNodeInfo = "TopNodeInfo";
	public static final String c_ColNmLastUpd = "LastUpdate";
	public static final String c_ColNmIsOrig = "IsOriginal";
	public static final String c_ColNmDocType = "DocType";
	public static final String c_ColNmXmlDecl = "XmlDecl";
*/
	
	/*
	replaced by XmlNodeTyp defs
	public static final int c_NodeTypeXmlDecl = 17;
	public static final int c_NodeTypeProcInstr = 7;
	public static final int c_NodeTypeDocType = 10;
	*/

	//public static final String 

	/*public XMLDBDefs()
	{

	}*/
}

